AddCSLuaFile()
DEFINE_BASECLASS("zrms_sorter")
ENT.Type = "anim"
ENT.Base = "zrms_sorter"
ENT.RenderGroup = RENDERGROUP_OPAQUE
ENT.Spawnable = true
ENT.AdminSpawnable = false
ENT.PrintName = "Filter - Gold"
ENT.Author = "ClemensProduction aka Zerochain"
ENT.Information = "info"
ENT.Category = "Zeros RetroMiningSystem"
ENT.Model = "models/zerochain/props_mining/zrms_conveyorbelt_sorter.mdl"
ENT.AutomaticFrameAdvance = true
ENT.DisableDuplicator = false
ENT.SorterSpeed = 3
ENT.WorkAmount = 6
ENT.HoldAmount = 25
ENT.FilterType = 4 // What type of resource are we sorting out

function ENT:SetupDataTables()
	self:NetworkVar("Bool", 2, "BuildMode")
	self:NetworkVar("Bool", 0, "HasChild")
	self:NetworkVar("String", 0, "CurrentState")
	self:NetworkVar("Float", 4, "InMachine_Coal")
	self:NetworkVar("Float", 0, "InMachine_Iron")
	self:NetworkVar("Float", 1, "InMachine_Bronze")
	self:NetworkVar("Float", 2, "InMachine_Silver")
	self:NetworkVar("Float", 3, "InMachine_Gold")

	if (SERVER) then
		self:SetBuildMode(true)
		self:SetHasChild(false)
		self:SetCurrentState("WAITING_FOR_ORDER")
		self:SetInMachine_Coal(0)
		self:SetInMachine_Iron(0)
		self:SetInMachine_Bronze(0)
		self:SetInMachine_Silver(0)
		self:SetInMachine_Gold(0)
	end
end
